/*
 ATtiny25 nRF24L01 RX Test
 Version: 0.2
 Author: Alex from Inside Gadgets (http://www.insidegadgets.com)
 Created: 15/08/2012
 Last Modified: 27/03/2013
  
 */

#define F_CPU 1000000 // 1 MHz

#include <avr/io.h>
#include <util/delay.h>
#include "setup.c"
#include "mirf.c"

uint8_t data_in[5];

// ATtiny25/45/85 Pin map
//                                 +-\/-+
//          Reset/Ain0 (D 5) PB5  1|o   |8  Vcc
//  nRF24L01 CE - Ain3 (D 3) PB3  2|    |7  PB2 (D 2) Ain1 - nRF24L01 SCK
// nRF24L01 CSN - Ain2 (D 4) PB4  3|    |6  PB1 (D 1) pwm1 - nRF24L01 MO
//                           GND  4|    |5  PB0 (D 0) pwm0 - nRF24L01 MI
//                                 +----+

int main(void) {
	setup();
	mirf_init();
	_delay_ms(50);
	mirf_config();
	
	while(1) {
		RX_POWERUP;
		mirf_flush_rx_tx(); // Flush TX/RX
		mirf_CE_hi; // Start listening
		
		// Wait for incoming requests
		while (!(mirf_status() & (1<<RX_DR))) { 
			_delay_us(250);
		}
		mirf_CE_lo; // Stop listening
		
		// Read the data received
		//mirf_receive_data();
		
		// Check if the data_in matches
		//if (memcmp(data_in, "pir1c", 5) == 0) {
			
		//}
		PORTB |= (1<<PB2);
		_delay_ms(500);
		PORTB &= ~(1<<PB2);
		
		_delay_ms(1000);
	}
}
